@import 'marketo';
@import 'swiftype';

$font-stack: 'GitLab Sans', 'Tahoma', 'Geneva', 'Verdana', sans-serif;

html {
  scroll-padding-top: 120px;
  font-family: $font-stack !important;
}

button {
  font-family: $font-stack !important;
}

a:not(.slp-btn) {
  text-decoration: none;
  color: $color-text-link-100;
}

nav {
  a:not(.slp-btn) {
    text-decoration: none;
    color: $color-text-300;
  }
}

p > a:not(.slp-btn),
li a:not(.slp-btn) {
  color: $color-text-link-100;

  &:hover {
    text-decoration: underline;
  }
}

#collapsible-sidebar {
  width: 300px;
}

*,
::before,
::after {
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 400;
}

h1 {
  font-size: 45px;
}

h2 {
  font-size: 36px;
}

h3 {
  font-size: 23px;
}

h4 {
  font-size: 24px;
}

code {
  font-family: 'GitLab Mono';
  overflow-wrap: break-word;
  padding: 2px 4px;
  font-size: 90%;
  color: #c7254e;
  background-color: #f9f2f4;
  border-radius: 4px;
}

.copy {
  ul {
    list-style-type: disc;
    margin-left: 1em;
    margin-bottom: $spacing-16;

    li {
      margin-top: 0.5em;
    }
  }
  ol {
    list-style-type: decimal;
    margin-left: $spacing-32;
    margin-bottom: $spacing-16;

    li {
      margin-top: 0.5em;
    }
  }
}

.header-anchor {
  > * {
    visibility: hidden;
  }
  &:hover {
    > * {
      visibility: visible;
    }
  }
  &.header-anchor--on-dark {
    svg path {
      fill: #fff;
    }
  }
}

.w-100 {
  width: 100% !important;
}

.#{$prefix}-text-5xl {
  font-size: 60px;
  line-height: 64px;
}

.#{$prefix}-text-4xl {
  font-size: 45px;
  line-height: 52px;
}

.#{$prefix}-text-3xl {
  font-size: 36px;
  line-height: 44px;
}

.#{$prefix}-text-xxl {
  font-size: 32px;
  line-height: 36px;
}

.#{$prefix}-text-xl {
  font-size: 24px;
  line-height: 30px;
}

.#{$prefix}-text-lg {
  font-size: 23px;
  line-height: 28px;
}

.#{$prefix}-text-md {
  font-size: 19px;
  line-height: 24px;
}

.#{$prefix}-text-md-bold {
  font-size: 19px;
  line-height: 24px;
  font-weight: 600;
}

.#{$prefix}-text-base {
  font-size: 16px;
  line-height: 24px;
}

.#{$prefix}-text-base-bold {
  font-size: 16px;
  line-height: 24px;
  font-weight: 600;
}

.#{$prefix}-text-sm {
  font-size: 14px;
  line-height: 20px;
}

.#{$prefix}-text-sm-bold {
  font-size: 14px;
  line-height: 20px;
  font-weight: 600;
}

.#{$prefix}-text-xs {
  font-size: 12px;
  line-height: 20px;
}

.#{$prefix}-text-xs-bold {
  font-size: 12px;
  line-height: 20px;
  font-weight: 600;
}

.#{$prefix}-text-xxs {
  font-size: 10px;
  line-height: 20px;
}

.slp-mb-128 {
  margin-bottom: 128px !important;
}

.slp-mt-128 {
  margin-top: 128px !important;
}

.#{$prefix}-card {
  border: 1px solid #f2f2f2;
  box-shadow: 0 2px 50px rgba(#333333, 0.08);
  border-radius: 4px;
  padding: 32px;
  background: white;
}

.slp-mt-0 {
  margin-top: 0;
}

.slp-mb-0 {
  margin-bottom: 0;
}

.-text-align-center {
  text-align: center;
}

.slp-justify-content-between {
  justify-content: space-between;
}

.#{$prefix}-position-absolute {
  position: absolute !important;
}

.#{$prefix}-position-relative {
  position: relative !important;
}

.#{$prefix}-overflow-x-hidden {
  overflow-x: hidden;
}

.noScroll {
  overflow: hidden;
}

.scroll {
  overflow: visible !important;
}

.slpEventNavigationLink {
  padding-right: 74px;
  position: relative;
  &::after {
    background: #f2f2f2;
    content: '';
    height: 1px;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color 0.15s ease;
    width: 61px;
  }
  &:hover,
  &:focus {
    cursor: pointer;
  }
  &:hover::after,
  &:focus::after {
    height: 2px;
    background: $color-text-link-100;
  }
  &.active {
    padding-right: 98px;
    &::after {
      height: 2px;
      background: $color-text-link-100;
      width: 85px;
    }
  }
}
.aos-init,
.aos-animate,
[data-aos^='zoom'],
[data-aos^='fade'] {
  @media (prefers-reduced-motion: reduce) {
    transform: none !important;
    opacity: 1 !important;
  }
}
.overflow-clip {
  overflow-x: clip;
}

// Full viewport background trick for contained sections
.background-full {
  box-shadow: 0 0 0 100vw $color-surface-800;
  clip-path: inset(0 -100vw);
  background: $color-surface-800;
}

// Transitions

// #1 Fade

.fade-leave-active {
  transition: all 0.3s ease-in;
}
.fade-enter-active {
  transition: all 0.5s;
}
.fade-enter {
  opacity: 0;
  transform: translateX(-20px);
}
.fade-leave-to {
  opacity: 0;
  transform: translateX(20px);
}
.fade-leave,
.fade-enter-to {
  opacity: 1;
}

// #1 Fade left

.fade-left-leave-active {
  transition: all 0.3s ease-in;
}
.fade-left-enter-active {
  transition: all 0.5s;
}
.fade-left-enter {
  opacity: 0;
  transform: translateX(20px);
}
.fade-left-leave-to {
  opacity: 0;
  transform: translateX(-20px);
}
.fade-left-leave,
.fade-left-enter-to {
  opacity: 1;
}
.sr-only {
  position: absolute !important;
  width: 1px;
  height: 1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}
